[PC-BSD Commits] r956 - in pbibuild/modules/ktorrent: . overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Wed Dec 5 08:02:47 PST 2007
Author: kris
Date: 2007-12-05 08:02:47 -0800 (Wed, 05 Dec 2007)
New Revision: 956
Modified:
pbibuild/modules/ktorrent/build.sh
pbibuild/modules/ktorrent/overlay-dir/PBI.RemoveScript.sh
pbibuild/modules/ktorrent/overlay-dir/PBI.SetupScript.sh
pbibuild/modules/ktorrent/pbi.conf
Log:
Fixed up KTorrent to ask about removing user profile and added .mo data
for translations.
Modified: pbibuild/modules/ktorrent/build.sh
===================================================================
--- pbibuild/modules/ktorrent/build.sh 2007-12-05 15:57:42 UTC (rev 955)
+++ pbibuild/modules/ktorrent/build.sh 2007-12-05 16:02:47 UTC (rev 956)
@@ -9,3 +9,15 @@
# PORTVER = Version number of the port we used to build
##############################################################################
+# Get all the various language files and copy them to the PBI
+LANGFILE="ktorrent.mo"
+mkdir ${PBIDIR}/locale/
+cd /usr/local/share/locale
+for i in `ls`
+do
+ if [ -e "/usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}" ]
+ then
+ mkdir ${PBIDIR}/locale/${i}
+ cp /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE} ${PBIDIR}/locale/${i}/
+ fi
+done
Modified: pbibuild/modules/ktorrent/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/ktorrent/overlay-dir/PBI.RemoveScript.sh 2007-12-05 15:57:42 UTC (rev 955)
+++ pbibuild/modules/ktorrent/overlay-dir/PBI.RemoveScript.sh 2007-12-05 16:02:47 UTC (rev 956)
@@ -38,3 +38,30 @@
rm /usr/local/share/services/${i}
done
+# Remove the old locale files since we are uninstalling
+LANGFILE="ktorrent.mo"
+cd /Programs/${PROGDIR}/locale
+for i in `ls`
+do
+ rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
+done
+
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove ktorrent user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.kde/share/apps/ktorrent" ]
+ then
+ rm -rf /home/${i}/.kde/share/apps/ktorrent
+ fi
+ done
+ fi
+fi
+
+
Modified: pbibuild/modules/ktorrent/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/ktorrent/overlay-dir/PBI.SetupScript.sh 2007-12-05 15:57:42 UTC (rev 955)
+++ pbibuild/modules/ktorrent/overlay-dir/PBI.SetupScript.sh 2007-12-05 16:02:47 UTC (rev 956)
@@ -45,4 +45,17 @@
ln -s /Programs/${PROGDIR}/share/services/${i} /usr/local/share/services/${i}
done
+
+# Copy over all the LANG files
+LANGFILE="ktorrent.mo"
+cd /Programs/${PROGDIR}/locale
+for i in `ls`
+do
+ mkdir -p /usr/local/share/locale/${i}/LC_MESSAGES >/dev/null 2>/dev/null
+ cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
+done
+
+
echo "LAUNCHCLOSE: /usr/local/bin/ktorrent"
+
+
Modified: pbibuild/modules/ktorrent/pbi.conf
===================================================================
--- pbibuild/modules/ktorrent/pbi.conf 2007-12-05 15:57:42 UTC (rev 955)
+++ pbibuild/modules/ktorrent/pbi.conf 2007-12-05 16:02:47 UTC (rev 956)
@@ -32,6 +32,6 @@
# Build Key - Change this to anything else to trigger a rebuild
# - The rebuild will take place even if port is still the same ver
-BUILDKEY="33"
+BUILDKEY="12"
export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
More information about the Commits
mailing list